ublas: boost::numeric::ublas::matrix_slice< M > Class Template Reference

# boost::numeric::ublas::matrix_slice< M > Class Template Reference

Inherits matrix_expression< matrix_slice< M > >.

List of all members.

## Classes

class | const_iterator1
class | const_iterator2
class | iterator1
class | iterator2

## Public Types

typedef M | matrix_type
typedef M::size_type | size_type
typedef M::difference_type | difference_type
typedef M::value_type | value_type
typedef M::const_reference | const_reference
typedef boost::mpl::if_ < boost::is_const< M > , typename M::const_reference, typename M::reference >::type | reference

typedef boost::mpl::if_
< boost::is_const< M >
, typename
M::const_closure_type,
typename M::closure_type >
::type

matrix_closure_type

typedef basic_range< size_type, difference_type > | range_type
typedef basic_slice< size_type, difference_type > | slice_type
typedef const self_type | const_closure_type
typedef self_type | closure_type
typedef storage_restrict_traits < typename M::storage_category, dense_proxy_tag > ::storage_category | storage_category
typedef M::orientation_category | orientation_category
typedef reverse_iterator_base1 < const_iterator1 > | const_reverse_iterator1
typedef reverse_iterator_base1 < iterator1 > | reverse_iterator1
typedef reverse_iterator_base2 < const_iterator2 > | const_reverse_iterator2
typedef reverse_iterator_base2 < iterator2 > | reverse_iterator2

## Public Member Functions

BOOST_UBLAS_INLINE | matrix_slice (matrix_type &data, const slice_type &s1, const slice_type &s2)
BOOST_UBLAS_INLINE | matrix_slice (const matrix_closure_type &data, const slice_type &s1, const slice_type &s2, int)
BOOST_UBLAS_INLINE size_type | start1 () const
BOOST_UBLAS_INLINE size_type | start2 () const
BOOST_UBLAS_INLINE difference_type | stride1 () const
BOOST_UBLAS_INLINE difference_type | stride2 () const
BOOST_UBLAS_INLINE size_type | size1 () const
BOOST_UBLAS_INLINE size_type | size2 () const
BOOST_UBLAS_INLINE const matrix_closure_type & | data () const
BOOST_UBLAS_INLINE matrix_closure_type & | data ()
BOOST_UBLAS_INLINE const_reference | operator() (size_type i, size_type j) const
BOOST_UBLAS_INLINE reference | operator() (size_type i, size_type j)
BOOST_UBLAS_INLINE matrix_slice< matrix_type > | project (const range_type &r1, const range_type &r2) const
BOOST_UBLAS_INLINE matrix_slice< matrix_type > | project (const slice_type &s1, const slice_type &s2) const
BOOST_UBLAS_INLINE matrix_slice & | operator= (const matrix_slice &ms)
BOOST_UBLAS_INLINE matrix_slice & | assign_temporary (matrix_slice &ms)
template<class AE >
BOOST_UBLAS_INLINE matrix_slice & | operator= (const matrix_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_slice & | assign (const matrix_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_slice & | operator+= (const matrix_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_slice & | plus_assign (const matrix_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_slice & | operator-= (const matrix_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE matrix_slice & | minus_assign (const matrix_expression< AE > &ae)
template<class AT >
BOOST_UBLAS_INLINE matrix_slice & | operator*= (const AT &at)
template<class AT >
BOOST_UBLAS_INLINE matrix_slice & | operator/= (const AT &at)
BOOST_UBLAS_INLINE bool | same_closure (const matrix_slice &ms) const
BOOST_UBLAS_INLINE bool | operator== (const matrix_slice &ms) const
BOOST_UBLAS_INLINE void | swap (matrix_slice ms)
BOOST_UBLAS_INLINE const_iterator1 | find1 (int, size_type i, size_type j) const
BOOST_UBLAS_INLINE iterator1 | find1 (int, size_type i, size_type j)
BOOST_UBLAS_INLINE const_iterator2 | find2 (int, size_type i, size_type j) const
BOOST_UBLAS_INLINE iterator2 | find2 (int, size_type i, size_type j)
BOOST_UBLAS_INLINE const_iterator1 | begin1 () const
BOOST_UBLAS_INLINE const_iterator1 | end1 () const
BOOST_UBLAS_INLINE iterator1 | begin1 ()
BOOST_UBLAS_INLINE iterator1 | end1 ()
BOOST_UBLAS_INLINE const_iterator2 | begin2 () const
BOOST_UBLAS_INLINE const_iterator2 | end2 () const
BOOST_UBLAS_INLINE iterator2 | begin2 ()
BOOST_UBLAS_INLINE iterator2 | end2 ()
BOOST_UBLAS_INLINE const_reverse_iterator1 | rbegin1 () const
BOOST_UBLAS_INLINE const_reverse_iterator1 | rend1 () const
BOOST_UBLAS_INLINE reverse_iterator1 | rbegin1 ()
BOOST_UBLAS_INLINE reverse_iterator1 | rend1 ()
BOOST_UBLAS_INLINE const_reverse_iterator2 | rbegin2 () const
BOOST_UBLAS_INLINE const_reverse_iterator2 | rend2 () const
BOOST_UBLAS_INLINE reverse_iterator2 | rbegin2 ()
BOOST_UBLAS_INLINE reverse_iterator2 | rend2 ()

## Friends

BOOST_UBLAS_INLINE friend void | swap (matrix_slice ms1, matrix_slice ms2)

### template<class M>
class boost::numeric::ublas::matrix_slice< M >